com.hazelcast.client.config

## Class ClientAwsConfig

- java.lang.Object
- - com.hazelcast.config.AliasedDiscoveryConfig<AwsConfig>
  - - com.hazelcast.config.AwsConfig
    - - com.hazelcast.client.config.ClientAwsConfig

- All Implemented Interfaces:
    DataSerializable, IdentifiedDataSerializable

  Deprecated.
  Use `AwsConfig` instead.

      @Deprecated
      public class ClientAwsConfig
      extends AwsConfig

  The AWSConfig contains the configuration for client to connect to nodes in aws environment.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientAwsConfig()` Deprecated.
    `ClientAwsConfig(ClientAwsConfig awsConfig)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getFactoryId()` Deprecated. Returns DataSerializableFactory factory ID for this class.
    `int` | `getId()` Deprecated. Returns type identifier for this class.
    `boolean` | `isInsideAws()` Deprecated.
    `void` | `readData(ObjectDataInput in)` Deprecated. Reads fields from the input stream
    `ClientAwsConfig` | `setInsideAws(boolean insideAws)` Deprecated.
    `ClientAwsConfig` | `setProperty(String name, String value)` Deprecated. Sets the property understood by the AWS SPI Discovery Strategy.
    `void` | `writeData(ObjectDataOutput out)` Deprecated. Writes object fields to output stream

    - ### Methods inherited from class com.hazelcast.config.AwsConfig

      `getAccessKey, getConnectionTimeoutSeconds, getHostHeader, getHzPort, getIamRole, getRegion, getSecretKey, getSecurityGroupName, getTagKey, getTagValue, setAccessKey, setConnectionTimeoutSeconds, setEnabled, setHostHeader, setIamRole, setRegion, setSecretKey, setSecurityGroupName, setTagKey, setTagValue`

    - ### Methods inherited from class com.hazelcast.config.AliasedDiscoveryConfig

      `equals, getProperties, getProperty, getTag, hashCode, isEnabled, isUsePublicIp, setUsePublicIp, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ClientAwsConfig

          public ClientAwsConfig()

      Deprecated.

    - #### ClientAwsConfig

          public ClientAwsConfig(ClientAwsConfig awsConfig)

      Deprecated.

  - ### Method Detail

    - #### isInsideAws

          @Deprecated
          public boolean isInsideAws()

      Deprecated.
      If client is inside aws, it will use private ip addresses directly, otherwise it will convert private ip addresses to public addresses internally by calling AWS API.
      Returns:
        boolean true if client is inside aws environment.

    - #### setInsideAws

          @Deprecated
          public ClientAwsConfig setInsideAws(boolean insideAws)

      Deprecated.
      Set to true if client is inside aws environment Default value is false.
      Parameters:
        `insideAws` - isInsideAws

    - #### setProperty

          public ClientAwsConfig setProperty(String name,
                                             String value)

      Deprecated.
      Sets the property understood by the AWS SPI Discovery Strategy.

      Note that it interprets the "inside-aws" property and maps it to the contrary of the generic "use-public-ip" property.

      Overrides:
        `setProperty` in class `AliasedDiscoveryConfig<AwsConfig>`
      Parameters:
        `name` - property name
        `value` - property value
      Returns:
        the updated Client Aws Config

    - #### getFactoryId

          public int getFactoryId()

      Deprecated.
      Description copied from interface: `IdentifiedDataSerializable`
      Returns DataSerializableFactory factory ID for this class.
      Specified by:
        `getFactoryId` in interface `IdentifiedDataSerializable`
      Overrides:
        `getFactoryId` in class `AliasedDiscoveryConfig<AwsConfig>`
      Returns:
        factory ID

    - #### writeData

          public void writeData(ObjectDataOutput out)

      Deprecated.
      Description copied from interface: `DataSerializable`
      Writes object fields to output stream
      Specified by:
        `writeData` in interface `DataSerializable`
      Overrides:
        `writeData` in class `AliasedDiscoveryConfig<AwsConfig>`
      Parameters:
        `out` - output

    - #### readData

          public void readData(ObjectDataInput in)

      Deprecated.
      Description copied from interface: `DataSerializable`
      Reads fields from the input stream
      Specified by:
        `readData` in interface `DataSerializable`
      Overrides:
        `readData` in class `AliasedDiscoveryConfig<AwsConfig>`
      Parameters:
        `in` - input

    - #### getId

          public int getId()

      Deprecated.
      Description copied from interface: `IdentifiedDataSerializable`
      Returns type identifier for this class. It should be unique per DataSerializableFactory.
      Specified by:
        `getId` in interface `IdentifiedDataSerializable`
      Overrides:
        `getId` in class `AwsConfig`
      Returns:
        type ID

Copyright © 2019. All rights reserved.